For the complete documentation index, see llms.txt. This page is also available as Markdown.

Quotations Line(s)

Get quotation lines

get
/quotations/lines/

This api is used to fetch quotation lines.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
keystringOptionalExample: qln_quo_id
operatorstringOptionalExample: eq
valueintegerOptionalExample: 402
Responses
get/quotations/lines/
GET /quotations/lines/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Add quotation lines

post
/quotations/lines/

This api is used to add a list of quotation lines.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Body
quo_idstring · colorOptional
Responses
post/quotations/lines/
POST /quotations/lines/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 335

{
  "quo_id": "402",
  "qln_lines": [
    {
      "qln_note": "Test"
    },
    {
      "qln_material_code": "CODE100",
      "qln_description": " My custom description",
      "qln_amount": 12.3,
      "qln_price": 100,
      "qln_hidden": 0,
      "qln_billable": 1
    },
    {
      "qln_material_hourtype": "HRT100",
      "qln_description": " My hourtype description",
      "qln_amount": 4.3,
      "qln_price": 65,
      "qln_hidden": 0,
      "qln_billable": 1
    }
  ]
}

Get quotation line

get
/quotations/line/

This api is used to fetch a single quotation line.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
qln_idintegerOptionalExample: 2925
Responses
get/quotations/line/
GET /quotations/line/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Update quotation line

put
/quotations/line/

This api is used to update a single quotation line.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
qln_idintegerOptionalExample: 2925
external_referencestringOptionalExample: EXTERNAL_REF_VALUE
Responses
put/quotations/line/
PUT /quotations/line/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

Last updated

Was this helpful?